# Runs after the assembler (quartus_asm)

# Run quartus_cpf for any .cof files in the project
set source_file_coll [get_all_global_assignments -name SOURCE_FILE]
foreach_in_collection file_asgn $source_file_coll {
    set file [lindex $file_asgn 2]
    if [string match -nocase *.cof $file] {
	set cmd "quartus_cpf --convert \"$file\""
	post_message -type info "Command: $cmd"
	qexec "$cmd"
    }
}
